SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `jewel_example`
--
CREATE DATABASE `jewel_example` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `jewel_example`;

--
-- Estructura de tabla para la tabla `departament`
--
CREATE TABLE IF NOT EXISTS `departament` (
  `id_departament` int(11) NOT NULL AUTO_INCREMENT,
  `baixa` tinyint(1) NOT NULL,
  `nom` varchar(30) NOT NULL,
  PRIMARY KEY (`id_departament`),
  UNIQUE KEY `id_departament` (`id_departament`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Estructura de tabla para la tabla `empleat`
--
CREATE TABLE IF NOT EXISTS `empleat` (
  `id_empleat` int(11) NOT NULL AUTO_INCREMENT,
  `perfil_id` int(11) NOT NULL,
  `departament_id` int(11) NOT NULL,
  `baixa` tinyint(1) NOT NULL,
  `codi_usuari` varchar(12) NOT NULL,
  `cognom1` varchar(30) NOT NULL,
  `cognom2` varchar(30) DEFAULT NULL,
  `email` varchar(30) DEFAULT NULL,
  `nom` varchar(30) NOT NULL,
  PRIMARY KEY (`id_empleat`),
  UNIQUE KEY `id_empleat` (`id_empleat`),
  KEY `perfil_id` (`perfil_id`),
  KEY `departament_id` (`departament_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Estructura de tabla para la tabla `habilitat`
--
CREATE TABLE IF NOT EXISTS `habilitat` (
  `id_habilitat` int(11) NOT NULL AUTO_INCREMENT,
  `nom_habilitat` varchar(20) NOT NULL,
  PRIMARY KEY (`id_habilitat`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Estructura de tabla para la tabla `habilitat_empleat`
--
CREATE TABLE IF NOT EXISTS `habilitat_empleat` (
  `id_habilitat_empleat` int(11) NOT NULL AUTO_INCREMENT,
  `habilitat_id` int(11) NOT NULL,
  `empleat_id` int(11) NOT NULL,
  PRIMARY KEY (`id_habilitat_empleat`),
  UNIQUE KEY `habilitat_id` (`habilitat_id`,`empleat_id`),
  KEY `empleat_id` (`empleat_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Estructura de tabla para la tabla `perfilempleat`
--
CREATE TABLE IF NOT EXISTS `perfilempleat` (
  `id_perfil` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(20) NOT NULL,
  PRIMARY KEY (`id_perfil`),
  UNIQUE KEY `nom` (`nom`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Estructura de tabla para la tabla `projecte`
--
CREATE TABLE IF NOT EXISTS `projecte` (
  `id_projecte` int(11) NOT NULL AUTO_INCREMENT,
  `codi` varchar(10) NOT NULL,
  `data_obertura` date NOT NULL,
  `data_tancament` date DEFAULT NULL,
  `nom` varchar(50) NOT NULL,
  `cap_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_projecte`),
  UNIQUE KEY `id_projecte` (`id_projecte`),
  KEY `FKC479186C7145A9DF` (`cap_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Estructura de tabla para la tabla `projecte_empleat`
--
CREATE TABLE IF NOT EXISTS `projecte_empleat` (
  `id_projecte_empleat` int(11) NOT NULL AUTO_INCREMENT,
  `data_fi` date DEFAULT NULL,
  `data_inici` date NOT NULL,
  `valoracio` float DEFAULT NULL,
  `empleat_id` int(11) NOT NULL,
  `projecte_id` int(11) NOT NULL,
  `perfil_id` int(11) NOT NULL,
  PRIMARY KEY (`id_projecte_empleat`),
  UNIQUE KEY `id_projecte_empleat` (`id_projecte_empleat`),
  KEY `FK5E821761DBE70D97` (`projecte_id`),
  KEY `FK5E821761BA72B23D` (`empleat_id`),
  KEY `perfil_id` (`perfil_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


ALTER TABLE `empleat`
  ADD CONSTRAINT `empleat_ibfk_4` FOREIGN KEY (`perfil_id`) REFERENCES `perfilempleat` (`id_perfil`),
  ADD CONSTRAINT `empleat_ibfk_5` FOREIGN KEY (`departament_id`) REFERENCES `departament` (`id_departament`);

ALTER TABLE `habilitat_empleat`
  ADD CONSTRAINT `habilitat_empleat_ibfk_1` FOREIGN KEY (`habilitat_id`) REFERENCES `habilitat` (`id_habilitat`),
  ADD CONSTRAINT `habilitat_empleat_ibfk_2` FOREIGN KEY (`empleat_id`) REFERENCES `empleat` (`id_empleat`);

ALTER TABLE `projecte`
  ADD CONSTRAINT `FKC479186C7145A9DF` FOREIGN KEY (`cap_id`) REFERENCES `empleat` (`id_empleat`);

ALTER TABLE `projecte_empleat`
  ADD CONSTRAINT `FK5E821761BA72B23D` FOREIGN KEY (`empleat_id`) REFERENCES `empleat` (`id_empleat`),
  ADD CONSTRAINT `FK5E821761DBE70D97` FOREIGN KEY (`projecte_id`) REFERENCES `projecte` (`id_projecte`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
