/**
 * 
 */
package org.jewel.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotaci pels mtodes que representin les accions d'una classe controladora
 * 
 * @author Juanma
 * @version 1.0
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Action {
	
	/**
	 * <p>Mapeig de l'acci, que pot contenir parmetres GET</p>
	 * <p>Exemple: "hola" ser accedit per "/controller-path/hola.jwl"</p>
	 * @return URL de l'acci
	 */
	String path();
	
	/**
	 * <p>Nom dels parmetres POST que es recolliran. Han de tenir el mateix ordre que els
	 * arguments del mtode</p>
	 * @return llistat de noms dels parmetres
	 */
	String[] params();
}
