/**
 * 
 */
package org.jewel.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotaci per les classes que actuin de Controladores.
 * 
 * @author Juanma
 * @version 1.0
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Controller {
	
	/**
	 * Nom del controlador
	 * 
	 * @return Nom del controlador
	 */
	String name();
	
	/**
	 * <p>Mapeig de l'acci</p>
	 * <p><i>Exemple: "hola" ser accedit per "/hola.jwl"</i></p>
	 * 
	 * @return URL del controlador
	 */
	String path();
	
	/**
	 * <p>mbit del controlador.</p>
	 * <p>mbit on romandran vives les variables del controlador</p>
	 * 
	 * @return mbit del controlador (SESSION o REQUEST)
	 */
	ControllerScope scope() default ControllerScope.REQUEST;
	
}
