/**
 * 
 */
package org.jewel.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marca una classe com a Filtre
 * 
 * @author Juanma
 * @version 1.0
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
public @interface Filter {
	
	/**
	 * Accions excludes al filtre
	 * @return llistat d'accions {@link FilterAction} excloses
	 */
	FilterAction[] excludedActions() default {};
	
	/**
	 * niques accions on s'executar el filtre
	 * @return llistat d'accions {@link FilterAction} incloses
	 */
	FilterAction[] onlyActions() default {};
	
}
