/**
 * 
 */
package org.jewel.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotaci que representa la parella 'Controlador-accions incloses o excloses'
 * per un filtre.
 * 
 * @author Juanma
 * @version 1.0
 *
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.ANNOTATION_TYPE)
public @interface FilterAction {
	
	/**
	 * Classe controladora
	 * 
	 * @return Classe controladora
	 */
	Class<?> controller();
	
	/**
	 * Noms dels mtodes inclosos o exclosos.
	 * 
	 * @return Noms dels mtodes inclosos o exclosos.
	 */
	String[] methods() default {};
	
}
