/**
 * 
 */
package org.jewel.core;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>Classe per gestionar els missatges que generen les accions del programador</p>
 * <p>S'assigna al {@link ModelAndView}.</p>
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ActionMessages {

	/**
	 * Missatges d'informaci
	 */
	private List<String> infoMessages;
	
	/**
	 * Missatges d'error
	 */
	private List<String> errorMessages;
	
	
	/**
	 * Constructor
	 */
	public ActionMessages() {
		infoMessages = new ArrayList<String>();
		errorMessages = new ArrayList<String>();
	}
	
	
	/** 
	 * Afegeix un missatge d'informaci
	 * 
	 * @param msg Missatge d'informaci
	 */
	public void addInfoMessage(String msg) {
		infoMessages.add(msg);
	}
	
	
	/**
	 * Afegeix un missatge d'error
	 * 
	 * @param msg Missatge d'error
	 */
	public void addErrorMessage(String msg) {
		errorMessages.add(msg);
	}
	
	// Getters
	//
	public List<String> getInfoMessages() {
		return infoMessages;
	}
	public List<String> getErrorMessages() {
		return errorMessages;
	}
	
}
