/**
 * 
 */
package org.jewel.core;

import java.util.Map;


/**
 * <p>Classe que representa el model que es transmet a la vista i la vista (JSP, HTML, ...)
 * on es renderitzar el model.</p>
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ModelAndView {

	/**
	 * Objectes del model 
	 */
	private Map<String, Object> model;
	
	/**
	 * Vista a renderitzar
	 */
	private String view;
	
	/**
	 * Tipus de resultat de la vista
	 */
	private Class<? extends ResultDispatcher> resultType;
	
	/**
	 * Missatges d'error i/o informaci a mostrar a la vista
	 */
	private ActionMessages messages;
	
	
	/**
	 * Constructor
	 */
	public ModelAndView() {
	}
	

	/**
	 * Constructor complet.
	 * 
	 * @param model Model
	 * @param view Vista
	 * @param resultType Tipus de vista
	 * @param messages Missatges
	 */
	public ModelAndView(Map<String, Object> model, String view, 
			Class<? extends ResultDispatcher> resultType, ActionMessages messages) {
		this.model = model;
		this.view = view;
		this.resultType = resultType;
		this.messages = messages;
	}
	
	
	// Getters / Setters
	//
	public Map<String, Object> getModel() {
		return model;
	}
	public void setModel(Map<String, Object> model) {
		this.model = model;
	}
	public String getView() {
		return view;
	}
	public void setView(String view) {
		this.view = view;
	}
	public Class<? extends ResultDispatcher> getResultType() {
		return resultType;
	}
	public void setResultType(Class<? extends ResultDispatcher> resultType) {
		this.resultType = resultType;
	}
	public ActionMessages getMessages() {
		return messages;
	}
	public void setMessages(ActionMessages messages) {
		this.messages = messages;
	}
	
}
