/**
 * 
 */
package org.jewel.core;

import javax.servlet.ServletContext;

import org.jewel.exceptions.ResultDispatchException;

/**
 * Gestor de vistes. S'encarrega de gestionar els tipus de resultats possibles.
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ViewManager {

	/**
	 * Constructor
	 */
	public ViewManager() {
	}

	
	/**
	 * 
	 * @param servletContext ServletContext de JewelServlet
	 */
	public void configure(ServletContext servletContext) {
	}
	
	
	/**
	 * Obt el Result Dispatcher adequat al tipus de resultat
	 * 
	 * @param clazz Classe que s'encarregar de presentar la vista
	 * @return Classe que s'encarregar de presentar la vista
	 * @throws ResultDispatchException Error al instanciar la classe encarregada de presentar la vista
	 */
	public ResultDispatcher getResultDispatcher(Class<? extends ResultDispatcher> clazz) throws ResultDispatchException {
		ResultDispatcher resultDispatcher = null;
		try {
			resultDispatcher = clazz.newInstance();
		} catch (Exception e) {
			throw new ResultDispatchException("No s'ha pogut instanciar la classe " + clazz.getCanonicalName(), e);
		}
		return resultDispatcher;
	}

}
