/**
 * 
 */
package org.jewel.taglib;

import javax.servlet.jsp.tagext.TagSupport;

/**
 * Classe abstracta que cont els atributs HTML genrics per les etiquetes d'aquest taglib.
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public abstract class AbstractHtmlTag extends TagSupport {

	private static final long serialVersionUID = 6762724118482956464L;
	
	// Atribus HTML comuns a totes les etiquetes
	protected String id;
	protected String title;
	protected String style;
	protected String styleClass;
	
	
	// Setters
	public void setTitle(String title) {
		this.title = title;
	}
	public String getTitle() {
		return title;
	}
	public void setId(String id) {
		this.id = id;
	}
	public void setStyle(String style) {
		this.style = style;
	}
	public void setStyleClass(String styleClass) {
		this.styleClass = styleClass;
	}

	/**
	 * Obt els atributs HTML de l'etiqueta amb el seu valor
	 * @return Cadena amb els atributs i el seu valor complets
	 */
	protected StringBuffer getParentAttributes() {
		StringBuffer sb = new StringBuffer();
		
		if (id != null && !"".equals(id))
			sb.append(" id=\"" + id + "\" ");
		if (title != null && !"".equals(title)) 
			sb.append(" name=\"" + title + "\" ");
		if (style != null && !"".equals(style))
			sb.append(" style=\"" + style + "\" ");
		if (styleClass != null && !"".equals(styleClass))
			sb.append(" class=\"" + styleClass + "\" ");
		
		return sb;
	}

}
