/**
 * 
 */
package org.jewel.taglib;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import org.jewel.util.ParameterUtil;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:columnAction&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ColumnActionTag extends TagSupport {

	private static final long serialVersionUID = -608227127458561437L;
	
	// Atributs de l'etiqueta
	private String title;
	private String action;
	private String actionImg;
	private String actionText;
	private String headerStyle;
	private String headerStyleClass;
	private String rowStyle;
	private String rowStyleClass;
	
	private Map<String, String> parametres;
	
	
	@Override
	public int doStartTag() throws JspException {
		if (!(getParent() instanceof DataTableTag)) throw new JspException("L'etiqueta ColumnActionTag ha de tenir una etiqueta DataTableTag superior.");
		
		this.parametres = new HashMap<String, String>();
		
		return EVAL_BODY_INCLUDE;
	}
	
	@Override
	public int doEndTag() throws JspException {
		DataTableColumnAction column = new DataTableColumnAction();
		column.setTitle((title != null ? (String) ParameterUtil.getExpressionValue(title, pageContext) : ""));
		column.setBaseUrl(((HttpServletRequest) pageContext.getRequest()).getContextPath());
		column.setAction(action);
		column.setActionImg(actionImg);
		column.setActionText(actionText);
		column.setActionParametres(parametres);
		column.setHeaderStyle((headerStyle != null ? headerStyle : ""));
		column.setHeaderStyleClass((headerStyleClass != null ? headerStyleClass : ""));
		column.setCellStyle((rowStyle != null ? rowStyle : ""));
		column.setCellStyleClass((rowStyleClass != null ? rowStyleClass : ""));
		
		((DataTableTag) getParent()).addColumn(column);
		
		return super.doEndTag();
	}
	
	
	// Setters
	//
	public void setTitle(String title) {
		this.title = title;
	}
	public void setAction(String action) {
		this.action = action;
	}
	public void setActionImg(String actionImg) {
		this.actionImg = actionImg;
	}
	public void setActionText(String actionText) {
		this.actionText = actionText;
	}
	public void setHeaderStyle(String headerStyle) {
		this.headerStyle = headerStyle;
	}
	public void setHeaderStyleClass(String headerStyleClass) {
		this.headerStyleClass = headerStyleClass;
	}
	public void setRowStyle(String rowStyle) {
		this.rowStyle = rowStyle;
	}
	public void setRowStyleClass(String rowStyleClass) {
		this.rowStyleClass = rowStyleClass;
	}
	
	public void addParameter(String key, String value) {
		if (key != null && value != null) {
			this.parametres.put(key, value);
		}
	}
}
