/**
 * 
 */
package org.jewel.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import org.jewel.util.ParameterUtil;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:column&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ColumnTag extends TagSupport {

	private static final long serialVersionUID = -608227127458561437L;
	
	// Atributs de l'etiqueta
	private String title;
	private String value;
	private String headerStyle;
	private String headerStyleClass;
	private String rowStyle;
	private String rowStyleClass;
	
	
	@Override
	public int doStartTag() throws JspException {
		if (!(getParent() instanceof DataTableTag)) throw new JspException("L'etiqueta ColumnTag ha de tenir una etiqueta DataTableTag superior.");
		if (value == null) throw new JspException("La columna t un valor invlid.");
		
		DataTableColumn column = new DataTableColumn();
		column.setTitle((title != null ? (String) ParameterUtil.getExpressionValue(title, pageContext) : ""));
		column.setValueName(value);
		column.setHeaderStyle((headerStyle != null ? headerStyle : ""));
		column.setHeaderStyleClass((headerStyleClass != null ? headerStyleClass : ""));
		column.setCellStyle((rowStyle != null ? rowStyle : ""));
		column.setCellStyleClass((rowStyleClass != null ? rowStyleClass : ""));
		
		((DataTableTag) getParent()).addColumn(column);
		
		return super.doStartTag();
	}
	
	
	// Setters
	//
	public void setTitle(String title) {
		this.title = title;
	}
	public void setValue(String value) {
		this.value = value;
	}
	public void setHeaderStyle(String headerStyle) {
		this.headerStyle = headerStyle;
	}
	public void setHeaderStyleClass(String headerStyleClass) {
		this.headerStyleClass = headerStyleClass;
	}
	public void setRowStyle(String rowStyle) {
		this.rowStyle = rowStyle;
	}
	public void setRowStyleClass(String rowStyleClass) {
		this.rowStyleClass = rowStyleClass;
	}
	
}
