/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:inputHidden&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class InputHiddenTag extends AbstractInputTag {
	
	private static final long serialVersionUID = -4143942487572863074L;

	// Plantilles de les etiquetes HTML
	private static final String INPUT_HIDDEN_TPL = "<input type=\"hidden\" value=\"%s\" %s>";
	
	@Override
	public int doStartTag() throws JspException {
		if (pageContext.getAttribute("current_form") == null) throw new JspException("No pots posar un camp hidden sense un formulari!"); 
		
		try {
			StringBuffer attributes = super.getParentAttributes();
			
			if (isRequired() && getParent() instanceof FormTag) {
				if (name == null) throw new JspException("No pots posar un camp requerit sense l'atribut 'name'."); 
				FormTag formTag = (FormTag) getParent();
				formTag.addRequiredValidation(name, getRequiredMessage());
			}
			
			pageContext.getOut().println(String.format(INPUT_HIDDEN_TPL, getValue(), attributes.toString()));
		}
		catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_BODY_INCLUDE; // Evaluar el codi entre l'etiqueta d'inici i la final
	}
	
	
	@Override
	public int doEndTag() throws JspException {
		try {
			pageContext.getOut().println("</input>");
		} catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_PAGE; // Seguir amb la resta de la pgina
	}
	
}
