/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:inputPassword&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class InputPasswordTag extends AbstractInputTag {
	
	private static final long serialVersionUID = -4143942487572863074L;

	// Plantilles de les etiquetes HTML
	private static final String INPUT_PASSWORD_TPL = "<input type=\"password\" value=\"%s\" %s>";
	
	// Atributs propis de l'etiqueta HTML <input text>
	protected Integer maxlength;
	
	@Override
	public int doStartTag() throws JspException {
		if (pageContext.getAttribute("current_form") == null) throw new JspException("No pots posar un camp password sense un formulari!"); 
		
		try {
			StringBuffer attributes = super.getParentAttributes();
			
			if (isRequired() && getParent() instanceof FormTag) {
				if (name == null) throw new JspException("No pots posar un camp requerit sense l'atribut 'name'."); 
				FormTag formTag = (FormTag) getParent();
				formTag.addRequiredValidation(name, getRequiredMessage());
			}
			
			if (maxlength != null && maxlength > 0)
				attributes.append(" maxlength=\"" + maxlength + "\" ");
			
			pageContext.getOut().println(String.format(INPUT_PASSWORD_TPL, getValue(), attributes.toString()));
		}
		catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_BODY_INCLUDE; // Evaluar el codi entre l'etiqueta d'inici i la final
	}
	
	
	@Override
	public int doEndTag() throws JspException {
		try {
			pageContext.getOut().println("</input>");
		} catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_PAGE; // Seguir amb la resta de la pgina
	}

	// Setters
	public void setMaxlength(Integer maxlength) {
		this.maxlength = maxlength;
	}
}
