/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;

import org.jewel.util.ParameterUtil;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:label&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class LabelTag extends AbstractHtmlTag {
	
	private static final long serialVersionUID = -4143942487572863074L;

	// Plantilles de les etiquetes HTML
	private static final String LABEL_INIT_TPL = "<label for=\"%s\" %s>%s";
	private static final String LABEL_FIN_TPL = "</label>";
	
	// Atributs de l'etiqueta
	protected String text;
	protected String forId;
	
	@Override
	public int doStartTag() throws JspException {
		try {
			pageContext.getOut().println(String.format(LABEL_INIT_TPL, forId,  
					getParentAttributes().toString(), ParameterUtil.getExpressionValue(this.text, pageContext)));
		}
		catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_BODY_INCLUDE; // Evaluar el codi entre l'etiqueta d'inici i la final
	}
	
	
	@Override
	public int doEndTag() throws JspException {
		try {
			pageContext.getOut().println(LABEL_FIN_TPL);
		} catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_PAGE; // Seguir amb la resta de la pgina
	}
	
	
	// Setters
	public void setText(String text) {
		this.text = text;
	}
	public void setForId(String forId) {
		this.forId = forId;
	}
	
}
