/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;
import java.util.Locale;

import javax.servlet.jsp.JspException;

import org.jewel.core.ApplicationConfiguration;
import org.jewel.util.JewelConstants;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:localeSelect&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class LocaleSelectTag extends AbstractHtmlTag {

	private static final long serialVersionUID = -2808837919330137600L;

	private static final String LOCALE_SELECT_CONTAINER_TPL = "<select %s>%s</select>";
	private static final String LOCALE_SELECT_OPTION_TPL = "<option value=\"%s\" %s>%s</option>";
	private static final String LOCALE_LINK_CONTAINER_TPL = "<div %s>%s</div>";
	private static final String LOCALE_LINK_OPTION_TPL = "<a href=\"%s\">%s</a>&nbsp;&nbsp;";
	
	// Atributs de l'etiqueta
	private String type; // SELECT, LINKS
	
	@Override
	public int doStartTag() throws JspException {
		try {
			String currentLocale = (String) pageContext.getSession().getAttribute(JewelConstants.CURRENT_LOCALE_KEY);
			ApplicationConfiguration config = ApplicationConfiguration.getInstance();
			
			if ("LINKS".equals(type)) {
				StringBuffer sbContainer = new StringBuffer();
				for (Locale locale : config.getLocaleConfig().getAvailableLocales()) {
					String link = "?" + config.getLocaleConfig().getChangeParameter() + "=" + locale.toString();
					sbContainer.append(
							String.format(LOCALE_LINK_OPTION_TPL, link, locale.getDisplayLanguage()));
				}
				StringBuffer attributes = getParentAttributes();
				pageContext.getOut().println(String.format(LOCALE_LINK_CONTAINER_TPL, attributes.toString(), sbContainer.toString()));
			}
			else {
				StringBuffer sbContainer = new StringBuffer();
				for (Locale locale : config.getLocaleConfig().getAvailableLocales()) {
					String selectedValue = (locale.toString().equals(currentLocale) ? "selected=\"selected\"" : "");
					sbContainer.append(
							String.format(LOCALE_SELECT_OPTION_TPL, locale.toString(), selectedValue, locale.getDisplayLanguage()));
				}
				StringBuffer attributes = getParentAttributes();
				attributes.append(" onchange=\"location.href='?" + config.getLocaleConfig().getChangeParameter() + "='+this.value;\" ");
				pageContext.getOut().println(String.format(LOCALE_SELECT_CONTAINER_TPL, attributes.toString(), sbContainer.toString()));
			}
			
		}
		catch (IOException e) {
			throw new JspException(e);
		}
		return EVAL_PAGE;
	}
	
	
	// Setters
	//
	public void setType(String type) {
		this.type = type;
	}
}
