/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;
import java.util.List;

import javax.servlet.jsp.JspException;

import org.jewel.util.JewelConstants;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:messages&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class MessagesTag extends AbstractHtmlTag {

	private static final long serialVersionUID = 4326195970151212192L;

	private static final String MESSAGE_TPL = "<li class=\"%s\" style=\"%s\">%s</li>";
	
	// Atributs de l'etiqueta
	private String type;
	private String errorStyle;
	private String infoStyle;
	private String errorStyleClass;
	private String infoStyleClass;
	
	
	@Override
	public int doEndTag() throws JspException {
		try {
			// Si no tenim missatges, no dibuixam res
			if (pageContext.getRequest().getAttribute(JewelConstants.ERROR_MESSAGES_KEY) == null
					&& pageContext.getRequest().getAttribute(JewelConstants.INFO_MESSAGES_KEY) == null)
				return EVAL_PAGE;
			
			pageContext.getOut().println(String.format("<div %s>", getParentAttributes().toString()));
			if (("ERROR".equals(type) || "ALL".equals(type)) && pageContext.getRequest().getAttribute(JewelConstants.ERROR_MESSAGES_KEY) != null) {
				if (errorStyleClass == null) errorStyleClass = "";
				if (errorStyle == null) errorStyle = "color:red;";
				pageContext.getOut().println("<ul>");
				@SuppressWarnings("unchecked")
				List<String> errorMsgs = (List<String>) pageContext.getRequest().getAttribute(JewelConstants.ERROR_MESSAGES_KEY);
				for (String msg : errorMsgs) {
					pageContext.getOut().println(String.format(MESSAGE_TPL, errorStyleClass, errorStyle, msg));
				}
				pageContext.getOut().println("</ul>");
			}
			if (("INFO".equals(type) || "ALL".equals(type)) && pageContext.getRequest().getAttribute(JewelConstants.INFO_MESSAGES_KEY) != null) {
				if (infoStyleClass == null) infoStyleClass = "";
				if (infoStyle == null) infoStyle = "color:green;";
				pageContext.getOut().println("<ul>");
				@SuppressWarnings("unchecked")
				List<String> infoMsgs = (List<String>) pageContext.getRequest().getAttribute(JewelConstants.INFO_MESSAGES_KEY);
				for (String msg : infoMsgs) {
					pageContext.getOut().println(String.format(MESSAGE_TPL, infoStyleClass, infoStyle, msg));
				}
				pageContext.getOut().println("</ul>");
			}
			pageContext.getOut().println("</div>");
		}
		catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_PAGE;
	}
	
	
	// Setters
	public void setType(String type) {
		this.type = type;
	}
	public void setErrorStyle(String errorStyle) {
		this.errorStyle = errorStyle;
	}
	public void setErrorStyleClass(String errorStyleClass) {
		this.errorStyleClass = errorStyleClass;
	}
	public void setInfoStyle(String infoStyle) {
		this.infoStyle = infoStyle;
	}
	public void setInfoStyleClass(String infoStyleClass) {
		this.infoStyleClass = infoStyleClass;
	}
	
}
