/**
 * 
 */
package org.jewel.taglib;

import java.io.IOException;

import javax.servlet.jsp.JspException;

import org.jewel.util.ParameterUtil;

/**
 * Classe que correspon a l'etiqueta &lt;jwl:outputText&gt;
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class OutputTextTag extends AbstractHtmlTag {
	
	private static final long serialVersionUID = -4143942487572863074L;

	// Plantilles de les etiquetes HTML
	private static final String TEXT_TPL = "<span %s>%s</span>";
	
	// Atributs de l'etiqueta
	protected String text;
	protected boolean onlyText;
	
	@Override
	public int doStartTag() throws JspException {
		try {
			if (onlyText) {
				pageContext.getOut().print(ParameterUtil.getExpressionValue(this.text, pageContext));
			}
			else {
				// Afegim el text dins un SPAN
				pageContext.getOut().print(String.format(TEXT_TPL, 
						getParentAttributes().toString(), ParameterUtil.getExpressionValue(this.text, pageContext)));
			}
		}
		catch (IOException e) {
			throw new JspException("Error: IOException", e);
		}
		
		return EVAL_PAGE;
	}
	
	
	// Setters
	public void setText(String text) {
		this.text = text;
	}
	public void setOnlyText(boolean onlyText) {
		this.onlyText = onlyText;
	}
	
}
