/**
 * 
 */
package org.jewel.taglib;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

/**
 * <p>Classe que correspon a l'etiqueta &lt;jwl:param&gt;</p>
 * <p>S'utilitza a les etiquetes &lt;jwl:commandButton&gt; {@link CommandButtonTag}, 
 * &lt;jwl:commandLink&gt; {@link CommandLinkTag} o &lt;jwl:columnAction&gt; {@link ColumnActionTag}
 * per posar els parmetres GET de la URL de l'acci que representen</p>
 * 
 * @author Juanma
 * @version 1.0
 *
 */
public class ParamTag extends TagSupport {

	private static final long serialVersionUID = -4457126703595191713L;
	
	// Atributs de l'etiqueta
	private String name;
	private String value;
	
	@Override
	public int doStartTag() throws JspException {
		if (getParent() instanceof CommandButtonTag) {
			CommandButtonTag buttonTag = (CommandButtonTag) getParent();
			buttonTag.addParameter(name, value);
		}
		else if (getParent() instanceof CommandLinkTag) {
			CommandLinkTag buttonTag = (CommandLinkTag) getParent();
			buttonTag.addParameter(name, value);
		}
		else if (getParent() instanceof ColumnActionTag) {
			ColumnActionTag buttonTag = (ColumnActionTag) getParent();
			buttonTag.addParameter(name, value);
		}
		else if (getParent() instanceof UrlTag) {
			UrlTag buttonTag = (UrlTag) getParent();
			buttonTag.addParameter(name, value);
		}
		else {
			throw new JspException("L'etiqueta ParamTag ha d'estar inclosa dins una etiqueta CommandButton, CommandLink, ColumnAction o Url.");
		}
		
		return SKIP_BODY;
	}
	
	// Setters
	//
	public void setName(String name) {
		this.name = name;
	}
	public void setValue(String value) {
		this.value = value;
	}
}
