/**
 * 
 */
package org.jewel.example.action;

import java.util.HashMap;
import java.util.Map;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;
import org.jewel.annotations.RolesAllowed;
import org.jewel.core.ActionMessages;
import org.jewel.core.ModelAndView;
import org.jewel.core.dispatchers.TilesResultDispatcher;
import org.jewel.example.persistence.Departament;
import org.jewel.example.services.DepartamentsService;

/**
 * @author Juanma
 *
 */
@Controller(name="adminDepartaments", path="/admin/depts", scope=ControllerScope.REQUEST)
public class AdminDepartamentsController {

	@Action(path="/nou", params={})
	@RolesAllowed(roles="jewel_admin")
	public ModelAndView nouDepartament() {
		return (new ModelAndView(null, "departament-nou", TilesResultDispatcher.class, null));
	}
	
	
	@Action(path="/crear", params={"nom"})
	@RolesAllowed(roles="jewel_admin")
	public ModelAndView crearDepartament(String nom) {
		// Guardem el departament
		DepartamentsService departamentsSrv = new DepartamentsService();
		Departament departament = departamentsSrv.save(nom);
		
		ActionMessages msg = new ActionMessages();
		if (departament != null) {
			msg.addInfoMessage("El departament s'ha creat correctament.");
		}
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("departament", departament);
		return (new ModelAndView(model, "departament-editar", TilesResultDispatcher.class, msg));
	}
	
	
	@Action(path="/editar/#{id}", params={"nom"})
	@RolesAllowed(roles="jewel_admin")
	public ModelAndView editarDepartament(Integer idDepartament, String nom) {
		DepartamentsService departamentsSrv = new DepartamentsService();
		Departament departament = null;
		ActionMessages msg = new ActionMessages();
		
		if (nom != null) {
			departament = departamentsSrv.update(idDepartament, nom);
			msg.addInfoMessage("El departament s'ha creat correctament.");
		}
		else {
			departament = departamentsSrv.findById(idDepartament);
		}
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("departament", departament);
		return (new ModelAndView(model, "departament-editar", TilesResultDispatcher.class, msg));
	}
	
}
