/**
 * 
 */
package org.jewel.example.action;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;
import org.jewel.core.ModelAndView;
import org.jewel.core.dispatchers.TilesResultDispatcher;
import org.jewel.example.javabean.FiltreDepartaments;
import org.jewel.example.persistence.Departament;
import org.jewel.example.services.DepartamentsService;

/**
 * @author Juanma
 *
 */
@Controller(name="departaments", path="/depts", scope=ControllerScope.REQUEST)
public class DepartamentsController {

	@Action(path="/cercar", params={"filtre"})
	public ModelAndView cercarDepartaments(FiltreDepartaments filtre) {
		
		DepartamentsService departamentsSrv = new DepartamentsService();
		List<Departament> departaments = null;
		if (filtre == null || filtre.isEmpty()) {
			departaments = departamentsSrv.findAll();
		}
		else {
			departaments = departamentsSrv.findByFiltre(filtre);
		}
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("departaments", departaments);
		model.put("filtre", filtre);
		return (new ModelAndView(model, "departament-llistat", TilesResultDispatcher.class, null));
	}
	
	
	@Action(path="/veure/#{id}", params={})
	public ModelAndView consultarDepartament(Integer idDepartament) {
		DepartamentsService departamentsSrv = new DepartamentsService();
		Departament departament = null;
		
		departament = departamentsSrv.findById(idDepartament);
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("departament", departament);
		return (new ModelAndView(model, "departament-consultar", TilesResultDispatcher.class, null));
	}
	
}
