/**
 * 
 */
package org.jewel.example.action;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;
import org.jewel.core.ModelAndView;
import org.jewel.core.dispatchers.JspResultDispatcher;
import org.jewel.core.dispatchers.TilesResultDispatcher;
import org.jewel.example.javabean.FiltreEmpleats;
import org.jewel.example.persistence.Departament;
import org.jewel.example.persistence.Empleat;
import org.jewel.example.persistence.PerfilEmpleat;
import org.jewel.example.services.DepartamentsService;
import org.jewel.example.services.EmpleatsService;
import org.jewel.example.services.PerfilsEmpleatService;

/**
 * @author Juanma
 *
 */
@Controller(name="empleats", path="/empleats", scope=ControllerScope.REQUEST)
public class EmpleatsController {

	@Action(path="/cercar", params={"filtre"})
	public ModelAndView cercarEmpleats(FiltreEmpleats filtre) {
		EmpleatsService empleatsSrv = new EmpleatsService();
		DepartamentsService departamentsSrv = new DepartamentsService();
		PerfilsEmpleatService perfilsSrv = new PerfilsEmpleatService();
		
		List<Empleat> empleats = null;
		if (filtre == null || filtre.isEmpty()) {
			empleats = empleatsSrv.findAll();
		}
		else {
			empleats = empleatsSrv.findByFiltre(filtre);
		}
		
		List<Departament> departaments = departamentsSrv.findAll();
		List<PerfilEmpleat> perfils = perfilsSrv.findAll();
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("empleats", empleats);
		model.put("departaments", departaments);
		model.put("perfils", perfils);
		model.put("filtre", filtre);
		
		return (new ModelAndView(model, "empleat-llistat", TilesResultDispatcher.class, null));
	}
	
	
	@Action(path="/veure/#{id}", params={})
	public ModelAndView consultarEmpleat(Integer idEmpleat) {
		EmpleatsService empleatsSrv = new EmpleatsService();
		
		Empleat empleat = empleatsSrv.findById(idEmpleat);
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("empleat", empleat);
		
		return (new ModelAndView(model, "empleat-consultar", TilesResultDispatcher.class, null));
	}
	
	
	@Action(path="/fitxa/#{codiEmpleat}", params={})
	public ModelAndView fitxaEmpleat(String codi) {
		EmpleatsService empleatsSrv = new EmpleatsService();
		
		Empleat empleat = empleatsSrv.findByCodi(codi);
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("empleat", empleat);
		
		return (new ModelAndView(model, "/public/empleat-fitxa.jsp", JspResultDispatcher.class, null));
	}
}
