/**
 * 
 */
package org.jewel.example.action;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.jewel.annotations.Action;
import org.jewel.annotations.Controller;
import org.jewel.annotations.ControllerScope;
import org.jewel.core.ModelAndView;
import org.jewel.core.dispatchers.TilesResultDispatcher;
import org.jewel.example.javabean.FiltreProjectes;
import org.jewel.example.persistence.Departament;
import org.jewel.example.persistence.Empleat;
import org.jewel.example.persistence.Projecte;
import org.jewel.example.services.DepartamentsService;
import org.jewel.example.services.EmpleatsService;
import org.jewel.example.services.ProjectesService;

/**
 * @author Juanma
 *
 */
@Controller(name="projectes", path="/projectes", scope=ControllerScope.REQUEST)
public class ProjectesController {

	@Action(path="/cercar", params={"filtre"})
	public ModelAndView cercarProjectes(FiltreProjectes filtre) {
		ProjectesService projectesSrv = new ProjectesService();
		DepartamentsService departamentsSrv = new DepartamentsService();
		EmpleatsService empleatsSrv = new EmpleatsService();
		
		List<Projecte> projectes = null;
		if (filtre == null || filtre.isEmpty()) {
			projectes = projectesSrv.findAll();
		}
		else {
			projectes = projectesSrv.findByFiltre(filtre);
		}
		
		List<Empleat> empleats = empleatsSrv.findAll();
		List<Departament> departaments = departamentsSrv.findAll();

		Map<String, Object> model = new HashMap<String, Object>();
		model.put("projectes", projectes);
		model.put("empleats", empleats);
		model.put("departaments", departaments);
		model.put("filtre", filtre);
		return (new ModelAndView(model, "projecte-llistat", TilesResultDispatcher.class, null));
	}
	
	
	@Action(path="/veure/#{id}", params={})
	public ModelAndView consultarProjecte(Integer idProjecte) {
		ProjectesService projectesSrv = new ProjectesService();
		
		Projecte projecte = projectesSrv.findById(idProjecte);
		
		Map<String, Object> model = new HashMap<String, Object>();
		model.put("projecte", projecte);
		
		return (new ModelAndView(model, "projecte-consultar", TilesResultDispatcher.class, null));
	}
}
