/**
 * 
 */
package org.jewel.example.filters;

import java.util.Date;

import org.apache.log4j.Logger;
import org.jewel.annotations.Filter;
import org.jewel.annotations.FilterAction;
import org.jewel.annotations.PreAction;
import org.jewel.core.RequestContext;
import org.jewel.example.action.AdminDepartamentsController;
import org.jewel.example.action.AdminEmpleatsController;
import org.jewel.example.action.AdminProjectesController;
import org.jewel.example.util.DateUtil;

/**
 * @author Juanma
 *
 */
@Filter(onlyActions={
		@FilterAction(controller=AdminDepartamentsController.class),
		@FilterAction(controller=AdminEmpleatsController.class),
		@FilterAction(controller=AdminProjectesController.class)}
)
public class LogFilter {

	private static Logger _log = Logger.getLogger(LogFilter.class);
	
	@PreAction
	public void preAction(RequestContext ctx) {
		_log.debug("\nLogFilter at " + DateUtil.formatDate(new Date(), "dd/MM/yyyy HH:mm:ss") + " Acci: " + ctx.getUrl());
	}
}
