package org.jewel.example.persistence;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * The persistent class for the departament database table.
 * 
 */
@Entity
@Table(name="departament")
public class Departament implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name="id_departament", updatable=false, unique=true, nullable=false)
	private Integer id;

	@Column(nullable=false)
	private boolean baixa;

	@Column(nullable=false, length=20)
	private String nom;

	public Departament() {
    }

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public boolean getBaixa() {
		return this.baixa;
	}

	public void setBaixa(boolean baixa) {
		this.baixa = baixa;
	}

	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}
	
}