package org.jewel.example.persistence;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import java.util.List;


/**
 * The persistent class for the projecte database table.
 * 
 */
@Entity
@Table(name="projecte")
public class Projecte implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name="id_projecte", updatable=false, unique=true, nullable=false)
	private Integer id;

    @Temporal( TemporalType.DATE)
	@Column(name="data_obertura", nullable=false)
	private Date dataObertura;

    @Temporal( TemporalType.DATE)
	@Column(name="data_tancament")
	private Date dataTancament;

    @Column(nullable=false, length=10)
    private String codi;
    
	@Column(nullable=false, length=50)
	private String nom;

	//bi-directional many-to-one association to Empleat
    @ManyToOne
	@JoinColumn(name="cap_id")
	private Empleat capProjecte;

	//bi-directional many-to-one association to ProjecteEmpleat
	@OneToMany(mappedBy="projecte")
	private List<ProjecteEmpleat> projecteEmpleats;

    public Projecte() {
    }

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getDataObertura() {
		return this.dataObertura;
	}

	public void setDataObertura(Date dataObertura) {
		this.dataObertura = dataObertura;
	}

	public Date getDataTancament() {
		return this.dataTancament;
	}

	public void setDataTancament(Date dataTancament) {
		this.dataTancament = dataTancament;
	}

	public String getCodi() {
		return codi;
	}
	
	public void setCodi(String codi) {
		this.codi = codi;
	}
	
	public String getNom() {
		return this.nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public Empleat getCapProjecte() {
		return this.capProjecte;
	}

	public void setCapProjecte(Empleat capProjecte) {
		this.capProjecte = capProjecte;
	}
	
	public List<ProjecteEmpleat> getProjecteEmpleats() {
		return this.projecteEmpleats;
	}

	public void setProjecteEmpleats(List<ProjecteEmpleat> projecteEmpleats) {
		this.projecteEmpleats = projecteEmpleats;
	}
	
}