package org.jewel.example.persistence;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;


/**
 * The persistent class for the projecte_empleat database table.
 * 
 */
@Entity
@Table(name="projecte_empleat")
public class ProjecteEmpleat implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name="id_projecte_empleat", unique=true, nullable=false)
	private Integer id;

    @Temporal( TemporalType.DATE)
	@Column(name="data_fi")
	private Date dataFi;

    @Temporal( TemporalType.DATE)
	@Column(name="data_inici", nullable=false)
	private Date dataInici;

	private Float valoracio;

	//bi-directional many-to-one association to Projecte
    @ManyToOne
	@JoinColumn(name="projecte_id", nullable=false)
	private Projecte projecte;

	//bi-directional many-to-one association to Empleat
    @ManyToOne
	@JoinColumn(name="empleat_id", nullable=false)
	private Empleat empleat;
    
  //bi-directional many-to-one association to PerfilEmpleat
    @ManyToOne
	@JoinColumn(name="perfil_id", nullable=false)
	private PerfilEmpleat perfil;

    public ProjecteEmpleat() {
    }

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getDataFi() {
		return this.dataFi;
	}

	public void setDataFi(Date dataFi) {
		this.dataFi = dataFi;
	}

	public Date getDataInici() {
		return this.dataInici;
	}

	public void setDataInici(Date dataInici) {
		this.dataInici = dataInici;
	}

	public Float getValoracio() {
		return this.valoracio;
	}

	public void setValoracio(Float valoracio) {
		this.valoracio = valoracio;
	}

	public Projecte getProjecte() {
		return this.projecte;
	}

	public void setProjecte(Projecte projecte) {
		this.projecte = projecte;
	}
	
	public Empleat getEmpleat() {
		return this.empleat;
	}

	public void setEmpleat(Empleat empleat) {
		this.empleat = empleat;
	}
	
	public PerfilEmpleat getPerfil() {
		return perfil;
	}
	
	public void setPerfil(PerfilEmpleat perfil) {
		this.perfil = perfil;
	}
	
}