/**
 * 
 */
package org.jewel.example.services;

import java.util.List;

import org.hibernate.Session;
import org.jewel.example.javabean.FiltreDepartaments;
import org.jewel.example.persistence.Departament;
import org.jewel.example.services.dao.DepartamentsDAO;
import org.jewel.example.services.dao.HibernateUtil;

/**
 * @author Juanma
 *
 */
public class DepartamentsService {

	public List<Departament> findAll() {
		Session session = HibernateUtil.getSession();
		DepartamentsDAO departamentsDAO = new DepartamentsDAO(session);
		
		return departamentsDAO.findAll();
	}
	
	public Departament save(String nom) {
		Session session = HibernateUtil.getSession();
		DepartamentsDAO departamentDAO = new DepartamentsDAO(session);
		
		Departament departament = new Departament();
		departament.setNom(nom);
		
		departament = departamentDAO.create(departament);
		departamentDAO.flush();
		return departament;
	}

	public List<Departament> findByFiltre(FiltreDepartaments filtre) {
		if (filtre == null) return findAll();
		Session session = HibernateUtil.getSession();
		DepartamentsDAO departamentDAO = new DepartamentsDAO(session);
		
		return departamentDAO.findByFiltre(filtre);
	}

	public Departament update(Integer idDepartament, String nom) {
		Session session = HibernateUtil.getSession();
		DepartamentsDAO departamentsDAO = new DepartamentsDAO(session);
		
		Departament departament = departamentsDAO.findById(idDepartament);
		if (departament != null && nom != null) {
			departament.setNom(nom);
			departament = departamentsDAO.update(departament);
			departamentsDAO.flush();
		}
		return departament;
	}

	public Departament findById(Integer idDepartament) {
		Session session = HibernateUtil.getSession();
		DepartamentsDAO departamentsDAO = new DepartamentsDAO(session);
		
		return departamentsDAO.findById(idDepartament);
	}
}
