/**
 * 
 */
package org.jewel.example.services;

import java.util.Date;
import java.util.List;

import org.hibernate.Session;
import org.jewel.example.javabean.FiltreProjectes;
import org.jewel.example.persistence.Empleat;
import org.jewel.example.persistence.Projecte;
import org.jewel.example.services.dao.EmpleatsDAO;
import org.jewel.example.services.dao.HibernateUtil;
import org.jewel.example.services.dao.ProjectesDAO;

/**
 * @author Juanma
 *
 */
public class ProjectesService {

	public List<Projecte> findAll() {
		Session session = HibernateUtil.getSession();
		ProjectesDAO projectesDAO = new ProjectesDAO(session);
		
		return projectesDAO.findAll();
	}
	
	public Projecte save(String codi, String nom, Integer idEmpleatCap, Date dataObertura, Date dataTancament) {
		Session session = HibernateUtil.getSession();
		ProjectesDAO projectesDAO = new ProjectesDAO(session);
		
		Projecte projecte = new Projecte();
		projecte.setCodi(codi);
		projecte.setNom(nom);
		if (idEmpleatCap != null) {
			EmpleatsDAO empleatsDAO = new EmpleatsDAO(session);
			Empleat empleat = empleatsDAO.findById(idEmpleatCap);
			projecte.setCapProjecte(empleat);
		}
		projecte.setDataObertura(dataObertura);
		projecte.setDataTancament(dataTancament);
		
		projecte = projectesDAO.create(projecte);
		projectesDAO.flush();
		return projecte;
	}

	public List<Projecte> findByFiltre(FiltreProjectes filtre) {
		if (filtre == null) return findAll();
		Session session = HibernateUtil.getSession();
		ProjectesDAO projectesDAO = new ProjectesDAO(session);
		
		return projectesDAO.findByFiltre(filtre);
	}

	public Projecte update(Integer idProjecte, String nom, Integer idEmpleatCap, Date dataObertura, Date dataTancament) {
		Session session = HibernateUtil.getSession();
		ProjectesDAO projectesDAO = new ProjectesDAO(session);
		
		Projecte projecte = projectesDAO.findById(idProjecte);
		if (projecte != null) {
			projecte.setNom(nom);
			if (idEmpleatCap != null) {
				EmpleatsDAO empleatsDAO = new EmpleatsDAO(session);
				Empleat empleat = empleatsDAO.findById(idEmpleatCap);
				projecte.setCapProjecte(empleat);
			}
			projecte.setDataObertura(dataObertura);
			projecte.setDataTancament(dataTancament);
			
			projecte = projectesDAO.update(projecte);
			projectesDAO.flush();
		}
		return projecte;
	}

	public Projecte findById(Integer idProjecte) {
		Session session = HibernateUtil.getSession();
		ProjectesDAO projectesDAO = new ProjectesDAO(session);
		
		return projectesDAO.findById(idProjecte);
	}
}
