/**
 * 
 */
package org.jewel.example.services.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Restrictions;
import org.jewel.example.javabean.FiltreDepartaments;
import org.jewel.example.persistence.Departament;


/**
 * @author Juanma
 *
 */
public class DepartamentsDAO extends AbstractHibernateDAO<Departament, Integer> {

	public DepartamentsDAO(Session session) {
		super(session);
	}

	@SuppressWarnings("unchecked")
	public List<Departament> findByFiltre(FiltreDepartaments filtre) {
		Criteria c = getSession().createCriteria(Departament.class)
				.add(Restrictions.ilike("nom", filtre.getNom(), MatchMode.ANYWHERE));
		return (List<Departament>) c.list();
	}

}
