/**
 * 
 */
package org.jewel.example.services.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Restrictions;
import org.jewel.example.javabean.FiltreEmpleats;
import org.jewel.example.persistence.Empleat;


/**
 * @author Juanma
 *
 */
public class EmpleatsDAO extends AbstractHibernateDAO<Empleat, Integer> {

	public EmpleatsDAO(Session session) {
		super(session);
	}

	@SuppressWarnings("unchecked")
	public List<Empleat> findByFiltre(FiltreEmpleats filtre) {
		Criteria c = getSession().createCriteria(Empleat.class);
		if (!filtre.isEmpty()) {
			if (filtre.getNom() != null) {
				c.add(Restrictions.ilike("nom", filtre.getNom(), MatchMode.ANYWHERE));
			}
			if (filtre.getNom() != null) {
				c.add(Restrictions.ilike("codi", filtre.getCodi(), MatchMode.ANYWHERE));
			}
			if (filtre.getCognom1() != null) {
				c.add(Restrictions.ilike("cognom1", filtre.getCognom1(), MatchMode.ANYWHERE));
			}
			if (filtre.getCognom2() != null) {
				c.add(Restrictions.ilike("cognom2", filtre.getCognom2(), MatchMode.ANYWHERE));
			}
			if (filtre.getIdDepartament() != null) {
				c.createAlias("departament", "d");
				c.add(Restrictions.eq("d.id", filtre.getIdDepartament()));
			}
			if (filtre.getIdPerfil() != null) {
				c.createAlias("perfil", "p");
				c.add(Restrictions.eq("p.id", filtre.getIdPerfil()));
			}
		}
		return (List<Empleat>) c.list();
	}

	public Empleat findByCodi(String codi) {
		Criteria c = getSession().createCriteria(Empleat.class);
		c.add(Restrictions.eq("codiUsuari", codi));
		return (Empleat) c.uniqueResult();
	}

}
