/**
 * 
 */
package org.jewel.example.services.dao;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.MatchMode;
import org.hibernate.criterion.Restrictions;
import org.jewel.example.javabean.FiltreProjectes;
import org.jewel.example.persistence.Projecte;


/**
 * @author Juanma
 *
 */
public class ProjectesDAO extends AbstractHibernateDAO<Projecte, Integer> {

	public ProjectesDAO(Session session) {
		super(session);
	}

	@SuppressWarnings("unchecked")
	public List<Projecte> findByFiltre(FiltreProjectes filtre) {
		Criteria c = getSession().createCriteria(Projecte.class);
		if (!filtre.isEmpty()) {
			if (filtre.getNom() != null) {
				c.add(Restrictions.ilike("nom", filtre.getNom(), MatchMode.ANYWHERE));
			}
			if (filtre.getCodi() != null) {
				c.add(Restrictions.ilike("codi", filtre.getCodi(), MatchMode.ANYWHERE));
			}
			if (filtre.getIdEmpleatCap() != null || filtre.getIdDepartament() != null) {
				c.createAlias("capProjecte", "cap");
			}
			if (filtre.getIdEmpleatCap() != null) {
				c.add(Restrictions.eq("cap.id", filtre.getIdEmpleatCap()));
			}
			if (filtre.getIdDepartament() != null) {
				c.add(Restrictions.eq("cap.departament.id", filtre.getIdDepartament()));
			}
		}
		return (List<Projecte>) c.list();
	}

}
