<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['editar_empleat'] }" /></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_projecte'] }" /></legend>
	
	<table>
		<tr>
			<td><b><jwl:outputText text="#{msgs['projecte.codi'] }" /></b></td>
			<td>
				<jwl:outputText text="#{projecte.codi }" />
			</td>
			<td><b><jwl:outputText text="#{msgs['projecte.nom'] }" /></b></td>
			<td colspan="3">
				<jwl:outputText text="#{projecte.nom }" />
			</td>
		</tr>
		<tr>
			<td><b><jwl:outputText text="#{msgs['projecte.cap_projecte'] }" /></b></td>
			<td>
				<jwl:outputText text="#{projecte.capProjecte.nom }" />
			</td>
			<td><b><jwl:outputText text="#{msgs['projecte.data_obertura'] }" /></b></td>
			<td>
				<jwl:outputDate date="#{projecte.dataObertura }" pattern="dd/MM/yyyy" />
			</td>
			<td><b><jwl:outputText text="#{msgs['projecte.data_tancament'] }" /></b></td>
			<td>
				<jwl:outputDate date="#{projecte.dataTancament }" pattern="dd/MM/yyyy" />
			</td>
		</tr>
	</table>
	
</fieldset>

<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_empleat'] }" /></legend>
	
	<jwl:form method="POST" name="projecte_empleats">
		<table>
			<tr>
				<td><b><jwl:outputText text="#{msgs['empleat'] }" /></b></td>
				<td>
					<jwl:outputText text="#{projEmp.empleat.nom }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.data_inici'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_inici" name="dataInici" value="#{projEmp.dataInici }" size="10"
							pattern="dd/mm/yy" required="true" requiredMessage="#{msgs['requerit.projecte.empleat_inici'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.data_fi'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_fi" name="dataFi" pattern="dd/mm/yy" value="#{projEmp.dataFi }" size="10" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.valoracio'] }" /></b></td>
				<td>
					<jwl:inputText id="valoracio" name="valoracio" value="#{projEmp.valoracio }" size="2" />
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminProjectes.guardarEmpleat }" label="#{msgs['guardar'] }">
			<jwl:param name="id" value="#{projecte.id }" />
			<jwl:param name="idProjEmp" value="#{projEmp.id }" />
		</jwl:commandButton>
		
		<jwl:commandButton action="#{adminProjectes.editarProjecte }" label="#{msgs['cancelar'] }">
			<jwl:param name="id" value="#{projecte.id }" />
		</jwl:commandButton>
	</jwl:form>
</fieldset>