<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['editar_projecte'] }" /></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['dades_projecte'] }" /></legend>
	
	<jwl:form method="POST" name="f_editar_projecte">
		<table>
			<tr>
				<td><b><jwl:outputText text="#{msgs['projecte.codi'] }" /></b></td>
				<td>
					<jwl:inputText name="codi" value="#{projecte.codi }" required="true" requiredMessage="#{msgs['requerit.projecte.codi'] }" readonly="true" />
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.nom'] }" /></b></td>
				<td colspan="3">
					<jwl:inputText name="nom" value="#{projecte.nom }" required="true" requiredMessage="#{msgs['requerit.projecte.nom'] }" size="49"/>
				</td>
			</tr>
			<tr>
				<td><b><jwl:outputText text="#{msgs['projecte.cap_projecte'] }" /></b></td>
				<td>
					<jwl:select name="idEmpleat" value="#{projecte.capProjecte.id }" emptyOption="true" emptyOptionLabel="#{msgs['select.empleat'] }" emptyOptionValue="" 
							required="true" requiredMessage="#{msgs['requerit.projecte.cap_projecte'] }">
						<jwl:options elements="#{empleats }" var="empleat" label="#{empleat.nom }" value="#{empleat.id }" />
					</jwl:select>
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.data_obertura'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_obertura" name="dataObertura" value="#{projecte.dataObertura }" pattern="dd/mm/yy" 
							required="true" requiredMessage="#{msgs['requerit.projecte.data_obertura'] }" size="10" />
				</td>
				<td><b><jwl:outputText text="#{msgs['projecte.data_tancament'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_tancament" name="dataTancament" value="#{projecte.dataTancament }" pattern="dd/mm/yy"
							size="10" />
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminProjectes.editarProjecte }" label="#{msgs['guardar'] }">
			<jwl:param name="id" value="#{projecte.id }"></jwl:param>
		</jwl:commandButton>
	</jwl:form>
</fieldset>

<jwl:dataTable elements="#{projecte.projecteEmpleats }" var="projEmp" rowStyleClasses="odd,pair">
	<jwl:column value="#{projEmp.empleat.nom }" title="#{msgs['empleat.nom'] }"></jwl:column>
	<jwl:column value="#{projEmp.empleat.cognom1 }" title="#{msgs['empleat.cognom1'] }"></jwl:column>
	<jwl:column value="#{projEmp.empleat.cognom2 }" title="#{msgs['empleat.cognom2'] }"></jwl:column>
	<jwl:column value="#{projEmp.perfil.nom }" title="#{msgs['empleat.perfil'] }"></jwl:column>
	<jwl:column value="#{projEmp.dataInici }" title="#{msgs['empleat.data_inici'] }"></jwl:column>
	<jwl:column value="#{projEmp.dataFi }" title="#{msgs['empleat.data_fi'] }"></jwl:column>
	<jwl:columnAction actionText="#{msgs['editar_empleat'] }" action="#{adminProjectes.editarProjEmpleat }">
		<jwl:param name="id" value="#{projecte.id }" />
		<jwl:param name="idProjEmp" value="#{projEmp.id }"></jwl:param>
	</jwl:columnAction>
</jwl:dataTable>

<fieldset>
	<legend><jwl:outputText text="#{msgs['afegir_empleat'] }" /></legend>
	
	<jwl:form method="POST" name="projecte_empleats">
		<table>
			<tr>
				<td><b><jwl:outputText text="#{msgs['empleat'] }" /></b></td>
				<td>
					<jwl:select name="idEmpleat" emptyOption="true" emptyOptionLabel="#{msgs['select.empleat'] }" emptyOptionValue="" 
							required="true" requiredMessage="#{msgs['requerit.projecte.empleat'] }">
						<jwl:options elements="#{empleats }" var="empleat" label="#{empleat.nom }" value="#{empleat.id }" />
					</jwl:select>
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.data_inici'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_inici" name="dataInici" size="10" 
							pattern="dd/mm/yy" required="true" requiredMessage="#{msgs['requerit.projecte.empleat_inici'] }" />
				</td>
				<td><b><jwl:outputText text="#{msgs['empleat.data_fi'] }" /></b></td>
				<td>
					<jwl:inputDate id="data_fi" name="dataFi" pattern="dd/mm/yy" size="10" />
				</td>
			</tr>
		</table>
		
		<jwl:commandButton action="#{adminProjectes.afegirEmpleat }" label="#{msgs['guardar'] }">
			<jwl:param name="id" value="#{projecte.id }" />
		</jwl:commandButton>
	</jwl:form>
</fieldset>
