<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@page import="org.jewel.example.persistence.Empleat"%>
<%@page import="java.util.List"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['llistat_empleats'] }"/></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['filtre'] }"/></legend>
	<jwl:form method="POST" name="f_filtre">
		<table>
			<tr>
				<td><label for="filtre_codi"><jwl:outputText text="#{msgs['empleat.codi'] }" /></label></td>
				<td><jwl:inputText value="#{filtre.codi }" id="filtre_codi" name="filtre.codi" /></td>
				<td><label for="filtre_nom"><jwl:outputText text="#{msgs['empleat.nom'] }" /></label></td>
				<td><jwl:inputText value="#{filtre.nom }" id="filtre_nom" name="filtre.nom" /></td>
			</tr>
			<tr>
				<td><label for="filtre_departament"><jwl:outputText text="#{msgs['empleat.departament'] }" /></label></td>
				<td>
					<jwl:select emptyOption="true" id="filtre_departament" name="filtre.idDepartament" value="#{filtre.idDepartament }">
						<jwl:options elements="#{departaments}" var="dept" label="#{dept.nom }" value="#{dept.id}"></jwl:options>
					</jwl:select>
				</td>
				<td><label for="filtre_perfil"><jwl:outputText text="#{msgs['empleat.perfil'] }" /></label></td>
				<td>
					<jwl:select emptyOption="true" id="filtre_perfil" name="filtre.idPerfil" value="#{filtre.idPerfil }">
						<jwl:options elements="#{perfils }" var="perfil" label="#{perfil.nom }" value="#{perfil.id}"></jwl:options>
					</jwl:select>
				</td>
		</table>
		<jwl:commandButton action="#{empleats.cercarEmpleats }" label="#{msgs['cercar'] }" tokenCheck="false" ></jwl:commandButton>
	</jwl:form>
</fieldset>

<div>
	<jwl:commandLink action="#{adminEmpleats.nouEmpleat }" label="#{msgs['nou_empleat'] }" />
</div>

<%List<Empleat> empleats = (List<Empleat>) request.getAttribute("empleats"); %>
<jwl:dataTable var="empleat" elements="<%=empleats %>" emptyMessage="#{msgs['cerca_buida.empleats'] }" rowStyleClasses="odd,pair">
	<jwl:column value="#{empleat.codiUsuari }" title="#{msgs['empleat.codi'] }" />
	<jwl:column value="#{empleat.nom }" title="#{msgs['empleat.nom'] }"></jwl:column>
	<jwl:column value="#{empleat.cognom1 }" title="#{msgs['empleat.cognom1'] }"></jwl:column>
	<jwl:column value="#{empleat.cognom2 }" title="#{msgs['empleat.cognom2'] }"></jwl:column>
	<jwl:column value="#{empleat.perfil.nom }" title="#{msgs['empleat.perfil'] }"></jwl:column>
	<jwl:column value="#{empleat.departament.nom }" title="#{msgs['empleat.departament'] }"></jwl:column>
	<jwl:columnAction actionText="#{msgs['consultar'] }" action="#{empleats.consultarEmpleat }">
		<jwl:param name="id" value="#{empleat.id }" />
	</jwl:columnAction>
	<jwl:columnAction actionText="#{msgs['fitxa'] }" action="#{empleats.fitxaEmpleat }">
		<jwl:param name="codiEmpleat" value="#{empleat.codiUsuari }" />
	</jwl:columnAction>
	<jwl:columnAction actionText="#{msgs['editar'] }" action="#{adminEmpleats.editarEmpleat }">
		<jwl:param name="id" value="#{empleat.id }" />
	</jwl:columnAction>
</jwl:dataTable>
