<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@page import="org.jewel.example.persistence.Empleat"%>
<%@page import="java.util.List"%>
<%@ taglib prefix="jwl" uri="http://jewel.org/taglib" %>

<h1><jwl:outputText text="#{msgs['llistat_projectes'] }"/></h1>
<fieldset>
	<legend><jwl:outputText text="#{msgs['filtre'] }"/></legend>
	<jwl:form method="POST" name="f_filtre">
		<table>
			<tr>
				<td><label for="filtre_codi"><jwl:outputText text="#{msgs['projecte.codi'] }" /></label></td>
				<td><jwl:inputText value="#{filtre.codi }" id="filtre_codi" name="filtre.codi" /></td>
				<td><label for="filtre_nom"><jwl:outputText text="#{msgs['projecte.nom'] }" /></label></td>
				<td><jwl:inputText value="#{filtre.nom }" id="filtre_nom" name="filtre.nom" /></td>
			</tr>
			<tr>
				<td><label for="filtre_departament"><jwl:outputText text="#{msgs['projecte.departament'] }" /></label></td>
				<td>
					<jwl:select emptyOption="true" id="filtre_departament" name="filtre.idDepartament" value="#{filtre.idDepartament }">
						<jwl:options elements="#{departaments }" var="departament" label="#{departament.nom }" value="#{departament.id}"></jwl:options>
					</jwl:select>
				</td>
				<td><label for="filtre_cap"><jwl:outputText text="#{msgs['projecte.cap_projecte'] }" /></label></td>
				<td>
					<jwl:select emptyOption="true" id="filtre_cap" name="filtre.idEmpleatCap" value="#{filtre.idEmpleatCap}">
						<jwl:options elements="#{empleats }" var="empleat" label="#{empleat.nom }" value="#{empleat.id}"></jwl:options>
					</jwl:select>
				</td>
			</tr>
			<tr>
				<td><label for="filtre_dataDesde"><jwl:outputText text="#{msgs['projecte.data_obertura'] }" /></label></td>
				<td><jwl:inputDate id="filtre_dataDesde" name="filtre.dataIni" value="#{filtre.dataIni }" pattern="dd/mm/yy" /></td>
				<td><label for="filtre_dataFins"><jwl:outputText text="#{msgs['projecte.data_tancament'] }" /></label></td>
				<td><jwl:inputDate id="filtre_dataFins" name="filtre.dataFi" value="#{filtre.dataFi}" pattern="dd/mm/yy" /></td>
			</tr>
		</table>
		<jwl:commandButton action="#{projectes.cercarProjectes }" label="#{msgs['cercar'] }" tokenCheck="false"></jwl:commandButton>
	</jwl:form>
</fieldset>

<div>
	<jwl:commandLink action="#{adminProjectes.nouProjecte }" label="#{msgs['nou_projecte'] }" />
</div>

<jwl:dataTable var="projecte" elements="#{projectes }" emptyMessage="#{msgs['cerca_buida.projectes'] }" rowStyleClasses="odd,pair">
	<jwl:column value="#{projecte.codi }" title="#{msgs['projecte.codi'] }" />
	<jwl:column value="#{projecte.nom }" title="#{msgs['projecte.nom'] }"></jwl:column>
	<jwl:column value="#{projecte.dataObertura }" title="#{msgs['projecte.data_obertura'] }"></jwl:column>
	<jwl:column value="#{projecte.dataTancament }" title="#{msgs['projecte.data_tancament'] }"></jwl:column>
	<jwl:columnAction actionText="#{msgs['consultar'] }" action="#{projectes.consultarProjecte }">
		<jwl:param name="id" value="#{projecte.id }" />
	</jwl:columnAction>
	<jwl:columnAction actionText="#{msgs['editar'] }" action="#{adminProjectes.editarProjecte }">
		<jwl:param name="id" value="#{projecte.id }" />
	</jwl:columnAction>
</jwl:dataTable>
